## flake8-builtins 1.5.3

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile
#
attrs==19.3.0             # via hypothesis, pytest
certifi==2019.11.28       # via requests
chardet==3.0.4            # via requests
coverage==5.0.3           # via coveralls, pytest-cov
coveralls==1.11.1         # via -r requirements.in
docopt==0.6.2             # via coveralls
entrypoints==0.3          # via flake8
flake8-blind-except==0.1.1  # via -r requirements.in
flake8-coding==1.3.2      # via -r requirements.in
flake8-commas==2.0.0      # via -r requirements.in
flake8-debugger==3.2.1    # via -r requirements.in
flake8-deprecated==1.3    # via -r requirements.in
flake8-isort==2.8.0       # via -r requirements.in
flake8-pep3101==1.3.0     # via -r requirements.in
flake8-polyfill==1.0.2    # via -r requirements.in
flake8-print==3.1.4       # via -r requirements.in
flake8-quotes==2.1.1      # via -r requirements.in
flake8-string-format==0.3.0  # via -r requirements.in
flake8-todo==0.7          # via -r requirements.in
flake8==3.7.9             # via flake8-coding, flake8-commas, flake8-debugger, flake8-deprecated, flake8-isort, flake8-pep3101, flake8-polyfill, flake8-print, flake8-quotes, flake8-string-format
hypothesis==5.6.0 ; python_version >= "3.6"  # via -r requirements.in, hypothesmith
hypothesmith==0.0.5 ; python_version >= "3.6"  # via -r requirements.in
idna==2.9                 # via requests
importlib-metadata==1.5.0  # via pluggy, pytest
isort[pyproject]==4.3.21  # via flake8-isort
lark-parser==0.8.2        # via hypothesmith
mccabe==0.6.1             # via flake8
more-itertools==5.0.0     # via -r requirements.in, pytest
packaging==20.3           # via pytest
pluggy==0.13.1            # via pytest
py==1.8.1                 # via pytest
pycodestyle==2.5.0        # via flake8, flake8-debugger, flake8-print, flake8-todo
pyflakes==2.1.1           # via flake8
pyparsing==2.4.6          # via packaging
pytest-cov==2.8.1         # via -r requirements.in
pytest==5.4.1 ; python_version >= "3.0"  # via -r requirements.in, pytest-cov
requests==2.23.0          # via coveralls
six==1.14.0               # via flake8-print, more-itertools, packaging
sortedcontainers==2.1.0   # via hypothesis
testfixtures==6.14.0      # via flake8-isort
toml==0.10.0              # via isort
urllib3==1.25.8           # via requests
wcwidth==0.1.8            # via pytest
zipp==3.1.0 ; python_version >= "3.0"  # via -r requirements.in, importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# setuptools

# added manually
mock==3.0.5 ; python_version < '3.0'

=== debian/changelog ===
flake8-builtins (1.5.3-3) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * Remove patch for failing test. Upstream says it should not fail
  * Move package under the scope of python-team

  [ Jochen Sprickerhof ]
  * Fix d/watch

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 08 Dec 2021 18:02:23 +0000

flake8-builtins (1.5.3-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Sep 2021 18:18:23 +0000

flake8-builtins (1.5.3-1) unstable; urgency=medium

  * Initial release. (Closes: #992367)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Aug 2021 21:19:25 +0000

=== debian/control ===
Source: flake8-builtins
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               python3-all,
               python3-flake8,
               python3-hypothesis,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-builtins
Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-builtins.git
Rules-Requires-Root: no
Homepage: https://github.com/gforcada/flake8-builtins

Package: python3-flake8-builtins
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Enhances: flake8
Description: flake8 extension that checks for re-use of builtin identifiers
 Python allows one to override Python builtins as parameters, but although
 could be useful in some really specific use cases, the general approach is to
 not do that as code then can suddenly break without a clear trace.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flake-builtins

override_dh_auto_test:
	py.test-3 $(CURDIR)/run_tests.py

%:
	dh $@ --buildsystem=pybuild

## flake8-builtins 2.0.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.7
# To update, run:
#
#    pip-compile requirements.in
#
attrs==22.1.0
    # via pytest
certifi==2022.9.24
    # via requests
charset-normalizer==2.1.1
    # via requests
coverage[toml]==6.5.0
    # via
    #   coveralls
    #   pytest-cov
coveralls==3.3.1
    # via -r requirements.in
docopt==0.6.2
    # via coveralls
exceptiongroup==1.0.0
    # via pytest
flake8==5.0.4
    # via -r requirements.in
idna==3.4
    # via requests
importlib-metadata==4.2.0 ; python_version < "3.8"
    # via
    #   -r requirements.in
    #   flake8
    #   pluggy
    #   pytest
iniconfig==1.1.1
    # via pytest
mccabe==0.7.0
    # via flake8
packaging==21.3
    # via pytest
pluggy==1.0.0
    # via pytest
pycodestyle==2.9.1
    # via flake8
pyflakes==2.5.0
    # via flake8
pyparsing==3.0.9
    # via packaging
pytest==7.2.0
    # via
    #   -r requirements.in
    #   pytest-cov
pytest-cov==4.0.0
    # via -r requirements.in
requests==2.28.1
    # via coveralls
tomli==2.0.1
    # via
    #   coverage
    #   pytest
typing-extensions==4.4.0
    # via importlib-metadata
urllib3==1.26.12
    # via requests
zipp==3.8.1
    # via importlib-metadata

=== debian/changelog ===
flake8-builtins (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.1
  * Bump policy version (no changes)
  * Drop patch (no longer needed)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Nov 2022 22:53:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-hypothesis,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-builtins
 Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-builtins.git
 Rules-Requires-Root: no

## flake8-builtins 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 attrs==22.1.0
     # via pytest
-certifi==2022.9.24
+certifi==2022.12.7
     # via requests
 charset-normalizer==2.1.1
     # via requests

=== debian/changelog ===
flake8-builtins (2.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

  [ Jochen Sprickerhof ]
  * New upstream version 2.1.0
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Jan 2023 09:00:23 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
                python3-hypothesis,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-builtins
 Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-builtins.git
 Rules-Requires-Root: no
 Homepage: https://github.com/gforcada/flake8-builtins
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-flake8-builtins
 Architecture: all

## flake8-builtins 2.5.0

=== debian/changelog ===
flake8-builtins (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Drop obsolete build-dependency on python3-hypothesis.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Jun 2024 20:34:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-flake8,
-               python3-hypothesis,
+               python3-hatchling,
                python3-pytest,
-               python3-setuptools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-builtins
 Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-builtins.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = {dir}/run_tests.py

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/gforcada/flake8-builtins/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## flake8-builtins 3.1.0

=== debian/changelog ===
flake8-builtins (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Dec 2025 12:27:20 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,9 @@
                python3-flake8,
                python3-hatchling,
                python3-pytest,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-builtins
 Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-builtins.git
-Rules-Requires-Root: no
 Homepage: https://github.com/gforcada/flake8-builtins
 Testsuite: autopkgtest-pkg-pybuild
